Bug 100049 - profiling modules doesn't work
profiling modules doesn't work
Status: RESOLVED FIXED
Product: profiler
Classification: Unclassified
Component: Base
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Tomas Hurka
issues@profiler
it070918 fix-in-60 it070925
: SPACE_IN_PATH
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-05 07:29 UTC by Milos Kleint
Modified: 2007-11-07 12:03 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Milos Kleint 2007-04-05 07:29:58 UTC
macosx + jdk 1.5 + current trunk as of Apr/4.

I've tried the "Profile project" action on a netbeans module project. Was asked
if I want to profile whole app or just module. Selected whole app. Calibrated,
profiler then "connects to target JVM" which fails after a while. No
splashscreen or other signs that the target jvm actually attempted to start.

Maybe the action shall be removed until it starts working?
Comment 1 Jiri Sedlacek 2007-04-23 12:41:17 UTC
Maybe you could add at least some logfile for us to decide if the feature 
doesn't work just for you or at all. I won't be very smart to remove the action 
for all users if it doesn't work just for you.
Comment 2 Milos Kleint 2007-04-23 13:02:30 UTC
check-for-build:
maybe-build-nozip:
tryme-setup-debug-args:
tryme:
Error occurred during initialization of VM
Could not find agent library in absolute path: /Applications/NetBeans
netbeans/bin/../platform7/lib/nbexec: line 405:  6806 Trace/BPT trap         
"/Library/Java/Home/bin/java" -Djdk.home="/Library/Java/Home" -classpath
"/Users/mkleint/src/nbbuild/netbeans/platform7/lib/boot.jar:/Users/mkleint/src/nbbuild/netbeans/platform7/lib/org-openide-modules.jar:/Users/mkleint/src/nbbuild/netbeans/platform7/lib/org-openide-util.jar:/Library/Java/Home/lib/dt.jar"
-Dnetbeans.system_http_proxy="webcache.uk.sun.com:8080"
-Dnetbeans.system_http_non_proxy_hosts=""
-Dnetbeans.dirs="/Users/mkleint/src/nbbuild/netbeans/nb6.0:/Users/mkleint/src/nbbuild/netbeans/ide8:/Users/mkleint/src/nbbuild/netbeans/java1:/Users/mkleint/src/nbbuild/netbeans/apisupport1:/Users/mkleint/src/nbbuild/netbeans/enterprise4:/Users/mkleint/src/nbbuild/netbeans/profiler2:/Users/mkleint/src/nbbuild/netbeans/harness:/Users/mkleint/src/nbbuild/netbeans/extra:"
-Dnetbeans.home="/Users/mkleint/src/nbbuild/netbeans/platform7"
"-Dcom.apple.mrj.application.apple.menu.about.name=NetBeans"
"-Xdock:name=NetBeans" "-Xdock:icon=netbeans/bin/../nb6.0/netbeans.icns"
"-Dnetbeans.importclass=org.netbeans.upgrade.AutoUpgrade"
"-Dnetbeans.accept_license_class=org.netbeans.license.AcceptLicense" "-Xms32m"
"-Xmx128m" "-XX:PermSize=32m" "-XX:MaxPermSize=160m"
"-Dnetbeans.logger.console=true" "-ea" "-Dapple.laf.useScreenMenuBar=true"
"-agentpath:/Applications/NetBeans" org.netbeans.Main --userdir
"/Users/mkleint/src/nbbuild/testuserdir" "--branding" "nb" "6.0"
"Dev.app/Contents/Resources/NetBeans/profiler2/lib/deployed/jdk15/mac/libprofilerinterface.jnilib=/Applications/NetBeans"
"6.0" "Dev.app/Contents/Resources/NetBeans/profiler2/lib,5140,10"
/Users/mkleint/src/nbbuild/templates/projectized.xml:189: The following error
occurred while executing this line:
/Users/mkleint/src/nbbuild/build.xml:919: The following error occurred while
executing this line:
/Users/mkleint/src/nbbuild/build.xml:938: exec returned: 133
Comment 3 Milos Kleint 2007-04-23 13:06:00 UTC
and while you are at it, the profile project action seems to be always enabled,
no matter what the project's ActionProvider.isEnabled() tells. A side effect is
that for maven projects the action is enabled but is a noop as it's not implemented.
Comment 4 Milos Kleint 2007-04-23 13:07:32 UTC
BTW One possible cause fro the problem could be that since a few weeks back, the
NetBeans.app bundle was renamed to "NetBeans Dev 6.0.app" for daily builds.
AFAIK it should be "NetBeans.app" for final releases only.
Comment 5 Tomas Hurka 2007-09-20 14:49:18 UTC
 Paint Application from Samples -> NetBeans Modules works fine with NetBeans installed in "/tmp/space space"
Comment 6 Tomas Hurka 2007-11-07 10:19:04 UTC
It should be fixed together with issue #103046.
Comment 7 Alexander Kouznetsov 2007-11-07 12:03:08 UTC
mkleint, could you please verify this with the latest available build?


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo